%define rbname amstd

Summary: Aoki Minero's STandard library for Ruby
#'
Name: ruby-%{rbname}

%global momorel 4

Version: 2.0.0
Release: %{momorel}m
Group: Development/Libraries
License: LGPL
URL: http://www.loveruby.net/ja/prog/amstd.html

%NoSource 0 http://www.loveruby.net/archive/%{rbname}/%{rbname}-%{version}.tar.gz 0b9b409d57a4b2ebb17990422fbb6800

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildPrereq: ruby

Requires: ruby >= 1.4

%description
Some libraries for the Object Oriented Scripting Language: Ruby.

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q -n %{rbname}-%{version}

%build
ruby install.rb config \
    --bin-dir=%{buildroot}%{_bindir} \
    --rb-dir=%{buildroot}%{ruby_libdir} \
    --so-dir=%{buildroot}%{ruby_archdir} \
    --ruby-path=%{_bindir}/ruby
ruby install.rb setup

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
ruby install.rb install

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LGPL README.* manual.rd.ja
%{ruby_libdir}/amstd

%changelog
* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (2.0.0-4m)
- merge from ruby-1_8-branch.

* Thu Jul 31 2003 Kenta MURATA <muraken2@nifty.com>
- (2.0.0-3m)
- rebuild against ruby-1.8.0.

* Tue Jan  8 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.0.0-2k)

* Fri Oct 19 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.10.0-2k)
- modify URI and License

* Sat Apr 7 2001 SAKUMA Junichi <fk5j-skm@asahi-net.or.jp>
- (1.9.7-5k)
- version 1.9.7

* Fri Dec  8 2000 AYUHANA Tomonori <l@kondara.org>
- (1.9.6-3k)
- version 1.9.6

* Sun Nov 19 2000 AYUHANA Tomonori <l@kondara.org>
- (1.9.5-1k)
- version 1.9.5
- add -q at %setup
- fix Source URI

* Thu Oct 19 2000 Toru Hoshina <toru@df-usa.com>
- it should be suitable to both ruby 1.4.x and 1.6.x.

* Tue Oct 16 2000 Toru Hoshina <toru@df-usa.com>
- rebuild against ruby 1.6.1.

* Sat Jun 10 2000 OZAWA -Crouton- Sakuro <crouton@duelists.org>
- Upstream upgrade.

* Sun Apr 23 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fixed ( Group, BuildRoot, Summary )

* Wed Apr 19 2000 Toru Hoshina <t@kondara.org>
- No architecture dependency.

* Sat Apr  8 2000 OZAWA -Crouton- Sakuro <crouton@duelists.org>
- First release for Kondara.

